import { PipeTransform } from '@angular/core';
import { SortingDirection } from '../data-operations/sorting-strategy';
import { IComboFilteringOptions, IgxComboBase } from './combo.common';
import * as i0 from "@angular/core";
/** @hidden */
export declare class IgxComboFilteringPipe implements PipeTransform {
    transform(collection: any[], searchValue: any, displayKey: any, filteringOptions: IComboFilteringOptions, filterFunction?: (collection: any[], searchValue: any, filteringOptions: IComboFilteringOptions) => any[]): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxComboFilteringPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IgxComboFilteringPipe, "comboFiltering", true>;
}
/** @hidden */
export declare class IgxComboGroupingPipe implements PipeTransform {
    combo: IgxComboBase;
    constructor(combo: IgxComboBase);
    transform(collection: any[], groupKey: any, valueKey: any, sortingDirection: SortingDirection, compareCollator: Intl.Collator): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxComboGroupingPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IgxComboGroupingPipe, "comboGrouping", true>;
}
/**
 * Combo filter function which does not distinguish between accented letters and their base letters.
 * For example, when filtering for "resume", this function will match both "resume" and "résumé".
 *
 * @example
 * ```html
 * <igx-combo [filterFunction]="comboIgnoreDiacriticFilterFunction"></igx-combo>
 * ```
 */
export declare function comboIgnoreDiacriticsFilter<T>(collection: T[], searchValue: string, filteringOptions: IComboFilteringOptions): T[];
